【更新履歴】
  ver.2.75beta2 2026/08/27
    英語表記の改善。
    ver.2.75beta1で内部エラー38が発生する不具合を修正。

  ver.2.75beta1 2026/08/05
    画面表示、メニュー表示の改善。
    不要なオプションの削除。
    その他細かい修正。

  ver.2.74 2025/10/11
    ver.2.67以前のバージョンからアップデートした場合、一部設定の引き継ぎができない不具合を修正。

  ver.2.73 2025/07/26
    音声ファイル読み込み時のエラー表示を改善。

  ver.2.73beta3 2025/07/14
    コードの構成音を指定して任意のコードを設定できる機能を追加。
    再生音程の範囲を-24～+24に拡張する設定を追加。
    画面レイアウトを改善。

  ver.2.73beta2 2025/05/02
    解析時に不正終了することがある不具合を修正。

  ver.2.73beta1 2025/04/25
    音声解析処理の精度を向上、処理速度を高速化。
    ピッチ線の太さの設定を追加。
    録音画面のボタンの配置を改善。
    タッチパッド、チルトホイールによるスクロールに対応。
    異なるバージョンのWaveToneを同時に起動した場合、音声出力とアンドゥデータが壊れることがある不具合を修正。

  ver.2.72 2025/04/12
    非常に短い音声ファイルを開いたとき、エラーが発生することがある不具合を修正。

  ver.2.72beta2 2025/03/30
    オートスクロール解除の挙動を改善。
    マルチディスプレイ環境でのウィンドウ位置の復元に対応。

  ver.2.72beta1 2024/10/26
    コード転回の有効無効切換えに対応。
    クオンタイズメニューのチェックが消えない不具合を修正。
    エラー表示を改善。

  ver.2.71 2024/07/15
    基準周波数の変更をMIDIのチューニングに反映させるよう対応。
    24bit以上のwaveファイルを開くと、内部エラー38が発生する不具合を修正。

  ver.2.71beta1 2024/03/20
    特定の環境でマウスクリックが反応しないことがある不具合を修正。

  ver.2.7 2024/01/04
    マウスホイールで拡大縮小する際、マウス位置を基準とする仕様に変更。

  ver.2.7beta1 2023/07/29
    Unicode対応。
    対応OSを更新。
    MIDIファイルからのノートのインポートに対応。
    スクロール・拡大縮小のキーコンフィグに対応。
    再生位置を前後に移動する秒数の設定を追加。
    一部の環境で、ボリュームコントロールを開けない不具合を修正。
    マルチディスプレイ環境で、ウィンドウサイズが制限されることがある現象を改善。
    ノート編集時に解析データ範囲外をクリックすると、ノートが生成される不具合を修正。

  ver.2.67 2022/06/26
    正式版作成。

  ver.2.67beta3 2022/05/09
    起動時に内部エラー1が発生することがある不具合を修正。

  ver.2.67beta2 2022/03/20
    「音階表示をピッチシフトに連動」有効時のコード表示の不具合を修正。

  ver.2.67beta1 2022/03/02
    「音階表示をピッチシフトに連動」有効時、キーとコードの表示も連動させるように対応。

  ver.2.66 2021/08/12
    テンポ解析画面を開くと内部エラーが発生する不具合を修正。

  ver.2.65 2021/08/08
    正式版作成。

  ver.2.65beta5 2021/07/28
    起動時に内部エラー12が発生することがある不具合を修正。
    英語表記の修正。

  ver.2.65beta4 2021/07/17
    言語切り替え(日/英)に対応。
    その他細かい修正。

  ver.2.65beta3 2021/07/11
    スペースキーによる再生/一時停止、リアルタイムノート入力、テンポ測定のショートカットキーのカスタマイズに対応。
    リアルタイムノート入力時に内部エラーが発生する不具合を修正。

  ver.2.65beta2 2021/07/10
    再生/停止のショートカットを追加。

  ver.2.65beta1 2021/07/10
    表示中の感度を自動採譜の感度に反映するボタンを追加。
    スクロール方式に「再生位置を左端にスクロール」を追加。
    内部処理を60fps化。
    readmeとヘルプの修正。

  ver.2.64 2021/05/24
    マイナーキーの区間でコード名入力を行うと、内部エラー7が発生する不具合を修正。

  ver.2.63 2021/02/13
    ディグリーネームの表記を修正。
    一部環境で意図せずスクロールする現象の対策を実施。

  ver.2.63beta3 2021/01/11
    リニアPCM、IEEE_FLOAT以外のwaveファイルを読み込めない不具合を修正。

  ver.2.63beta2 2021/01/09
    テンポ設定範囲拡張オプションを追加。

  ver.2.63beta1 2020/09/13
    m6のコード構成音を修正。

  ver.2.62 2020/07/18
    正式版作成。

  ver.2.62beta4 2020/07/08
    キー指定なしのキーチェンジがある場合、コードトラックを表示すると内部エラーが発生する不具合を修正。

  ver.2.62beta3 2020/07/05
    マイナーキーに対応。
    検出、設定対象のコードにdimを追加。
    コード結合時にShiftキー押下で、結合前のコード維持に対応。
    コード入力ボックスで、ショートカットキーでコピーペーストできない不具合を修正。

  ver.2.62beta2 2020/05/04
    オートスクロールが有効かつ再生停止中に、再生位置が画面外になるスクロールができない不具合を修正。
    実行ファイルと同じフォルダにiniファイルがある場合、優先して使用するよう変更。

  ver.2.62beta1 2020/05/01
    解析データファイルの上書き保存時に、意図しないファイルに上書きされることがある不具合を修正。
    オートスクロール状態とメニューのチェック状態が不一致になることがある不具合を修正。
    選択範囲等の数値入力中に、Enterキーでフォーカス解除できるよう改善。
    対応OSからWindows Vista,7を除外。
    その他細かい改善。

  ver.2.61 2015/10/11
    10重起動できるように改良。

  ver.2.61beta1 2015/08/23
    音声ファイルのデコード処理を改善。

  ver.2.6 2015/08/22
    ファイルを開くダイアログの拡張子を修正。

  ver.2.6beta9 2015/08/18
    FLAC,WavPack,Monkey's Audio,ALAC,TTAに標準対応。
    音声ファイルのデコード処理を改善。

  ver.2.6beta8 2015/08/16
    ノートの長さが数tickずれることがある不具合を修正。

  ver.2.6beta7 2015/08/15
    キー、スケール、コードの表記を改善。
    コードのトランスポーズ実行時のアンドゥ、リドゥ不具合を修正。

  ver.2.6beta6 2015/08/13
    WAVE,MP3,WMA,AAC,Vorbisに標準対応。
    テンポ解析画面を改良。
    コードのトランスポーズ機能を追加。
    グラフの色に「グレー(印刷用)」を追加。
    コード検出位置に「3拍ごと」を追加。
    タイムスケールに秒単位と小節単位を同時に表示するように変更。
    ノートの表示色を変更。
    コード名を修正(dim->dim7)。
    D&D処理を改善。

  ver.2.6beta5 2014/07/26
    ポップアップ表示内容にマウスカーソル位置の周波数を追加。

  ver.2.6beta4 2014/07/25
    起動時にショートカットキーの設定が読み込まれない不具合を修正。
    解析データのみを開いたとき、同名の音声ファイルが開けない不具合を修正。

  ver.2.6beta3 2014/07/19
    ウィンドウを最大化した状態で終了した場合、次回起動時に最大化するように変更。

  ver.2.6beta2 2013/03/10
    メニューに表示するラベル数制限を廃止。
    21個目以降のラベルが削除できない不具合を修正。

  ver.2.6beta1 2013/03/02
    Windows8対応。
    ファイルを開く前にノート編集モードでクリックすると内部エラーが発生する不具合を修正。
    最大ウィンドウサイズ修正。
    Windows8で録音コントロールを開けない不具合を修正。
    ♯♭表示切り替え時にコードが再描画されない不具合を修正。
    ♭表示時のコード入力不具合を修正。
    コード選択範囲の色を修正。
    基本周波数解析のデフォルト設定をONに変更。
    設定ファイル、一時ファイルのパスを変更。

  ver.2.51 2012/03/31
    グラフ表示のチャンネル切り替えができないバグを修正。
    ディグリーネーム付きでコードをテキスト出力する機能を追加。
    その他細かい機能追加、改良、修正。

  ver.2.5 2012/02/18
    解析精度向上。
    画面更新頻度向上。
    コントラスト調整を改良。
    WAVE出力デバイスの設定を追加。
    ショートカットキー追加。
    最小化時にショートカットキーに反応することがあるバグを修正。
    その他細かい機能追加、改良、修正。

  ver.2.4 2011/10/08
    24bit,32bit,32bit float,64bit doubleに対応。
    スペースキーで再生,一時停止機能を追加。
    感度音量、速度音程、EQを並べて表示するように変更。
    時間方向の拡大率を変更。
    デコード中の進捗表示を追加。
    コード貼り付け位置を選択区間に変更
    解析処理を改良。
    その他細かい修正。

  ver.2.3 2011/07/22
    ノートのリアルタイム入力機能を追加。
    基本周波数をポップアップ表示する機能を追加。
    マウスジェスチャー機能を追加。
    ボーカルカット機能を追加。
    録音コントロールのコマンドを修正。
    その他細かい修正。

  ver.2.2 2010/09/01
    再生できなくなることがあるバグを修正。
    ダイアログを修正。
    解析ファイルからの同名の音声ファイル読み込みに対応。
    64分音符に対応。
    履歴が消去できないバグを修正。
    その他細かい修正。

  ver.2.1 2010/06/06
    解析アルゴリズムを改良。
    MIDI出力したノートのタイミングがずれることがある問題を修正。
    その他細かい修正。

  ver.2.0 2010/01/20
    ノート編集機能を追加。
    終了処理高速化。
    オートセーブ機能を追加。
    その他細かい修正。

  ver.1.53 2009/10/12
    解析アルゴリズムを改良。
    ラベルの最大数を変更。
    その他細かい修正。

  ver.1.52 2009/07/28
    ver.1.51で解析データ保存時にエラーが出るバグを修正。

  ver.1.51 2009/07/25
    テンポ解析の精度が向上した。
    0.01BPM単位でテンポを解析できるようになった。
    データ実行防止が有効でも起動できるように修正。
    その他細かい修正。

  ver.1.5 2009/06/20
    基本周波数の解析機能を追加。
    MTCスレーブに対応。
    MIDIメッセージ送信機能を追加。
    コードのコピー、アンドゥ、リドゥができるようになった。
    検出対象のコードを設定できるようにした。
    コード検出方法を修正。
    解析アルゴリズムを改良。
    その他細かい修正。

  ver.1.44 2009/03/22
    グラフ描画方法を変更。
    その他細かい修正。

  ver.1.43 2008/11/05
    タイムストレッチ、ピッチシフトの品質が向上した。
    基準周波数の設定を内蔵音源に適用するようにした。
    非常に低い音域が正常に解析できないことがある問題を修正。
    鍵盤の代わりに周波数を表示できるようにした。
    その他細かい修正。

  ver.1.42 2008/06/02
    分数コードを設定できるようにした。
    コード名をテキスト入力できるようにした。
    キーチェンジに対応。
    その他細かい修正。

  ver.1.41 2008/05/05
    解析するチャンネルを指定できるようにした。
    テンポチェンジ、リズムチェンジを設定できるようにした。
    ショートカットキーのカスタマイズ機能を追加。
    コード検出位置を1拍単位から1/2拍単位に変更。
    その他細かい修正。

  ver.1.4 2008/04/01
    MIDI変換機能、コード検出機能を追加。
    タイムストレッチ、ピッチシフト機能を追加。
    グラフィックイコライザ、L-Rなどのフィルタ機能を追加。
    録音機能を追加。
    解析速度高速化。
    グラフ描画処理の負荷軽減。
    音量を変更できるようにした。
    リピート区間、再生位置の移動機能を追加。
    コントラスト調整機能を追加。
    解析データのみの読み込みに対応。
    ラベル,設定書き出し、読み込み機能を追加。
    その他細かい修正。

  ver.1.3 2007/11/05
    解析する音階の範囲、半音あたりのブロック数を設定できるようにした。
    ウィンドウサイズを変更できるようにした。
    グラフ描画処理の負荷を軽減。
    待機時の負荷を大幅軽減。
    単音の倍音除去機能追加。
    テンポに小数値を設定できるようにした。
    その他細かい修正。

  ver.1.21 2007/09/03
    基準周波数を変更できるようにした。

  ver.1.2  2007/08/20
    リピート再生機能を追加。
    ラベル機能を追加。
    5秒ごとにノイズが入る問題を修正。
    その他細かい修正。

  ver.1.12 2007/06/04
    テンポ測定機能を追加。
    感度のスケールを設定できるようにした。

  ver.1.11 2007/05/02
    解析完了時にエラー7で異常終了することがあるバグを修正。
    WMAの解析に対応。

  ver.1.1  2007/04/09
    グラフをクリックして音を確認できるようにした。
    解析の精度を設定できるようにした。
    テンポラリファイルが削除されないことがあるバグを修正。
    その他細かい修正。

  ver.1.0  2007/02/07
    小節単位での時間表示、ノイズ除去、テンポ解析機能を追加。
    その他細かい修正。

  ver.0.2  2006/10/16
    巨大なファイルを正常に解析できないバグを修正。
    省メモリ化。
    
  ver.0.1  2006/10/04
    初公開
